## ktnef 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")

project(KTnef VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(KTNEF_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "6.5.3")
ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Tnef")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

install(EXPORT KPim6TnefTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6TnefTargets.cmake NAMESPACE KPim6::)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KTNEF/
    COMPONENT Devel
)

add_definitions(-DTRANSLATION_DOMAIN=\"libktnef6\")
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Tnef_QCH
        FILE KPim6TnefQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TnefQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${KTnef_SOURCE_DIR}/KPimTnefConfig.cmake.in"
    "${KTnef_BINARY_DIR}/KPim6TnefConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${KTnef_BINARY_DIR}/KPim6TnefConfig.cmake"
        "${KTnef_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktnef (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:11 +0100

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/ktnef
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
Rules-Requires-Root: no

Package: libktnef-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for handling TNEF data - data files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the data files.

Package: libktnef-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.14.0~),
         libkpim6tnef6 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkpim6tnef6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libktnef-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

## ktnef 25.08.3+p24.04+vunstable+git20251203.0324

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 
 project(KTnef VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -63,7 +63,7 @@
 )
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
@@ -79,7 +79,7 @@
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 install(EXPORT KPim6TnefTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6TnefTargets.cmake NAMESPACE KPim6::)

=== debian/changelog ===
ktnef (4:25.08.3+p24.04+vunstable+git20251203.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:24:30 +0000

ktnef (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:14 +1000

## ktnef 25.08.3+p24.04+vunstable+git20251204.0614

=== debian/changelog ===
ktnef (4:25.08.3+p24.04+vunstable+git20251204.0614-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:14:42 +0000

## ktnef 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KTnef VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -63,7 +64,7 @@
 )
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"

=== debian/changelog ===
ktnef (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:00:53 +0000

ktnef (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.08.3~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-               libkf6contacts-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.7.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/ktnef
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
 Rules-Requires-Root: no
 
 Package: libktnef-data
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.14.0~),
+Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6tnef6 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling TNEF data - development files

## ktnef 25.11.90

=== debian/changelog ===
ktnef (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:13:11 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## ktnef 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 
 project(KTnef VERSION ${PIM_VERSION})
 
@@ -64,7 +64,7 @@
 )
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"

=== debian/changelog ===
ktnef (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:32:06 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.11.90~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),

## ktnef 25.12.0+p24.04+vstable+git20251226.0321

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 
 project(KTnef VERSION ${PIM_VERSION})

## ktnef 25.12.0+p24.04+vstable+git20251231.0224

=== debian/changelog ===
ktnef (4:25.12.0+p24.04+vstable+git20251231.0224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:24:25 +0000

ktnef (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:07 +1000

## ktnef 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 )
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.1")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"

=== debian/changelog ===
ktnef (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:44 +0100

ktnef (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:37 +0100

ktnef (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.6.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.12.0~),
-               libkf6calendarcore-dev (>= 6.6.0~),
-               libkf6contacts-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               libkcalendarutils-dev (>= 4:25.12.1~),
+               libkf6calendarcore-dev (>= 6.18.0~),
+               libkf6contacts-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/ktnef
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
 Rules-Requires-Root: no
 
 Package: libktnef-data
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.6.0~),
+Depends: libkf6calendarcore-dev (>= 6.18.0~),
          libkpim6tnef6 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling TNEF data - development files

## ktnef 25.12.1+p24.04+vstable+git20260111.0542

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 
 project(KTnef VERSION ${PIM_VERSION})

=== debian/changelog ===
ktnef (4:25.12.1+p24.04+vstable+git20260111.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:42:45 +0000

ktnef (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:14 +1000

## ktnef 25.12.1+p24.04+vstable+git20260118.0230

=== debian/changelog ===
ktnef (4:25.12.1+p24.04+vstable+git20260118.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:30:57 +0000

## ktnef 25.12.1+p24.04+vunstable+git20260204.0832

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 
 project(KTnef VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -36,9 +35,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
@@ -54,17 +77,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-include(ECMAddQch)
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+include(ECMGenerateQDoc)
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.1")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
@@ -80,7 +96,12 @@
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
 
 install(EXPORT KPim6TnefTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6TnefTargets.cmake NAMESPACE KPim6::)
 
@@ -104,16 +125,6 @@
     add_subdirectory(autotests)
 endif()
 
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6Tnef_QCH
-        FILE KPim6TnefQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TnefQchTargets.cmake\")")
-endif()
-
 configure_package_config_file(
     "${KTnef_SOURCE_DIR}/KPimTnefConfig.cmake.in"
     "${KTnef_BINARY_DIR}/KPim6TnefConfig.cmake"

=== debian/changelog ===
ktnef (4:25.12.1+p24.04+vunstable+git20260204.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:32:26 +0000

## ktnef 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 3.27)
-set(PIM_VERSION "6.6.40")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "6.6.2")
 
 project(KTnef VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.21.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -35,33 +36,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
-        execute_process(
-            COMMAND
-                "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 
 include(ECMQtDeclareLoggingCategory)
@@ -77,10 +54,17 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-include(ECMGenerateQDoc)
+include(ECMAddQch)
+
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.2")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
@@ -96,12 +80,7 @@
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 install(EXPORT KPim6TnefTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6TnefTargets.cmake NAMESPACE KPim6::)
 
@@ -125,6 +104,16 @@
     add_subdirectory(autotests)
 endif()
 
+if(BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KPim6Tnef_QCH
+        FILE KPim6TnefQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TnefQchTargets.cmake\")")
+endif()
+
 configure_package_config_file(
     "${KTnef_SOURCE_DIR}/KPimTnefConfig.cmake.in"
     "${KTnef_BINARY_DIR}/KPim6TnefConfig.cmake"

=== debian/changelog ===
ktnef (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:47 +0000

ktnef (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:14:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.12.1~),
-               libkf6calendarcore-dev (>= 6.18.0~),
-               libkf6contacts-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               libkcalendarutils-dev (>= 4:25.12.2~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-Standards-Version: 4.7.3
+               qt6-base-dev (>= 6.7.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/ktnef
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
 Rules-Requires-Root: no
 
 Package: libktnef-data
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.18.0~),
+Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6tnef6 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling TNEF data - development files

## ktnef 25.12.2+p24.04+vunstable+git20260206.1514

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 
 project(KTnef VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -36,9 +35,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
@@ -54,17 +77,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-include(ECMAddQch)
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+include(ECMGenerateQDoc)
 
 set(KTNEF_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.2")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TnefConfigVersion.cmake"
@@ -80,7 +96,12 @@
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0)
 
 install(EXPORT KPim6TnefTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6TnefTargets.cmake NAMESPACE KPim6::)
 
@@ -104,16 +125,6 @@
     add_subdirectory(autotests)
 endif()
 
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6Tnef_QCH
-        FILE KPim6TnefQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TnefQchTargets.cmake\")")
-endif()
-
 configure_package_config_file(
     "${KTnef_SOURCE_DIR}/KPimTnefConfig.cmake.in"
     "${KTnef_BINARY_DIR}/KPim6TnefConfig.cmake"

=== src/CMakeLists.txt ===
add_library(KPim6Tnef)
add_library(KPim6::Tnef ALIAS KPim6Tnef)

target_sources(
    KPim6Tnef
    PRIVATE
        ktnefparser.cpp
        ktnefproperty.cpp
        ktnefattach.cpp
        mapi.cpp
        ktnefpropertyset.cpp
        ktnefmessage.cpp
        ktnefwriter.cpp
        lzfu.cpp
        formatter.cpp
        ktnefpropertyset.h
        ktnefparser.h
        mapi.h
        ktnefattach.h
        lzfu.h
        ktnefmessage.h
        ktnefdefs.h
        formatter.h
        ktnefwriter.h
        ktnefproperty.h
)

ecm_qt_declare_logging_category(KPim6Tnef HEADER ktnef_debug.h IDENTIFIER KTNEF_LOG CATEGORY_NAME org.kde.pim.ktnef
        OLD_CATEGORY_NAMES log_ktnef
        DESCRIPTION "ktnef (pim lib)" EXPORT KTNEF
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6Tnef
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6Tnef BASE_NAME ktnef)

target_include_directories(KPim6Tnef INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KTNEF>")
target_include_directories(KPim6Tnef PUBLIC "$<BUILD_INTERFACE:${KTnef_SOURCE_DIR}/src;${KTnef_BINARY_DIR}/src>")

target_link_libraries(
    KPim6Tnef
    PUBLIC
        KF6::CalendarCore
    PRIVATE
        KPim6::CalendarUtils
        KF6::Contacts
        KF6::I18n
)

set_target_properties(
    KPim6Tnef
    PROPERTIES
        VERSION
            ${KTNEF_VERSION}
        SOVERSION
            ${KTNEF_SOVERSION}
        EXPORT_NAME
            Tnef
)

install(TARGETS KPim6Tnef EXPORT KPim6TnefTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KTnef_CamelCase_HEADERS
  HEADER_NAMES
  Formatter
  KTNEFAttach
  KTNEFDefs
  KTNEFMessage
  KTNEFParser
  KTNEFProperty
  KTNEFPropertySet
  KTNEFWriter
  PREFIX KTNEF
  REQUIRED_HEADERS KTnef_HEADERS
)

install(FILES ${KTnef_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KTNEF/KTNEF/ COMPONENT Devel)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ktnef_export.h
        ${KTnef_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KTNEF/ktnef
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT KTNEF FILE ktnef.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6Tnef ktnef.qdocconf)

=== debian/changelog ===
ktnef (4:25.12.2+p24.04+vunstable+git20260206.1514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:14:42 +0000

ktnef (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:18:00 +0000
